/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.s2s.generics.methods;

/**
 *
 * @author Selvyn
 */
public class MainUnitGenerics
{
    /*public static interface Comparable<T> 
    {
        public int compareTo(T o);
    }*/
    
    public  static  void    main( String args[] )
    {
        /*
         * The x cannot be passed to either method below because it is not 
         * an Integer[] and it cannot be cast to a Comparable<T>[]
        */
        int x[] = {1, 2, 3}; 
        Integer y[] = {1, 2, 3};
        
        countGreaterThan_v1(y, 2);
        // Method erasur leads to 
        // MainUnitGenerics.<Integer>.countGreaterThan(y, Integer.valueOf(2));
        
    }
    
    /*
     * This is so different to C++ syntanx where the type specification is placed
     * parameter list, here it is specified before the return type
     * The param types are used to check against the specification that is placed
     * before the return type
     *
     * This method is bounded to anything that implements the Comparable interface
    */
    public static <T extends Comparable<T>> int countGreaterThan_v1(T[] anArray, T elem ) 
    {
        int count = 0;
        for (T e : anArray)
            if(e.compareTo(elem) > 0)  // compiler error
                ++count;
        return count;
    }

    // This is strongly typed to Integer and any subclasses
    private static <T extends Integer> int countGreaterThan_v2(T[] anArray, T elem)
    {
        int count = 0;
        for (T e : anArray)
            if(e.compareTo(elem) > 0)  // compiler error
                ++count;
        return count;
    }
}
