package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

public class EnclosingInnerClass
{
   private int x;
   
   public   class InnerClass
   {
      int   x;

      public   void  haveAGo()
      {
         x = 99;  // Which x is this changing???
      }

      public    void printMe()
      {
          System.out.println( "OutClass X: " + EnclosingInnerClass.this.x );
      }
   }

   public void  foobar()
   {
        EnclosingInnerClass.InnerClass ic = new EnclosingInnerClass.InnerClass();

        ic.haveAGo();

        System.out.println( "InnerClass X: " + ic.x );
        System.out.println( "OuterClass X :" + x );
   }
   
   public   InnerClass createInnerClass()
   {
       return new InnerClass();
   }
   
   public static void main(String[] args)
   {
      EnclosingInnerClass eic = new EnclosingInnerClass();
      eic.foobar();

//++      EnclosingInnerClass.InnerClass ic = new EnclosingInnerClass.InnerClass();
   }
}

class UseInnerClass
{
   public   void  foobar1()
   {
//++      EnclosingInnerClass.InnerClass ic = new EnclosingInnerClass.InnerClass();
   }

   public   void  foobar2()
   {
        EnclosingInnerClass eic = new EnclosingInnerClass();
       
        EnclosingInnerClass.InnerClass ic = eic.createInnerClass();
   }
}

