package s2s.javacourse;

/**
 * Title: Java Courseware Description: Copyright: Copyright (c) 2001 Company:
 * TROy Software Development
 *
 * @author Selvyn Wright
 * @version 1.0
 */
public class EnclosingLocalInnerClasses
{
    int x = 77;

    abstract class LocalInnerClass
    {
        int x = 33;

        abstract public void fooBar();
    }

    private void testMe()
    {
        class MyLocalClass extends LocalInnerClass
        {
            public void fooBar()
            {
                System.out.println( "X: " + x );
            }
        }
        MyLocalClass mlic = new MyLocalClass();
        mlic.fooBar();
        LocalInnerClass lic = new LocalInnerClass()
        {
            public void fooBar()
            {
                System.out.println( "Annoymous X:" + x );
            }
        };
        lic.fooBar();

        // does this make sense?  If not, why not?
        //return   new    LocalInnerClass();
        //return null;
    }

    public static void main(String[] args)
    {
        EnclosingLocalInnerClasses elic = new EnclosingLocalInnerClasses();

        elic.testMe();
    }
}
