package s2s.javacourse;

import java.util.ArrayList;
import java.util.List;



public class HackingAtTheTypes  implements  Cloneable
{
    static final private boolean  runnable = false;
    
    enum    TrafficLights   {RED, AMBER, YELLOW};
    
    TrafficLights aLight;
    
    /**
     * @param args
     * @throws CloneNotSupportedException 
     */
    public static void main( String[] args ) throws CloneNotSupportedException
    {
        List<String> ls = new ArrayList<String>();
        HackingAtTheTypes hatt = new HackingAtTheTypes();
     
        hatt.cloning();
    }

    void    fooBar()
    {
        if( runnable )
            System.out.println( "Im running");
        
        System.out.println( "fooBar");
    }
    
    int add( int i1, int i2 )
    {
        return i1 + i2;
    }

    short add( short i1, short i2 )
    {
        return (short)(i1 + i2);
    }

    char add( char i1, char i2 )
    {
        return (char)(i1 + i2);
    }

    byte add( byte i1, byte i2 )
    {
        return (byte)(i1 + i2);
    }

    double add( double i1, int i2 )
    {
        return i1 + i2;
    }
    
    void    whatif()
    {
        String str1 = "hello";
        String str2 = "world";
        
        if( str1 == str2 )
            System.out.println( "They match");
        else
            System.out.println( "They don't match");            
    }
    
    void    cloning() throws CloneNotSupportedException
    {
         HackingAtTheTypes hatt_1 = new HackingAtTheTypes();
         
         HackingAtTheTypes hatt_2 = (HackingAtTheTypes) hatt_1.clone();
        
         if( hatt_1 == hatt_2 )
             System.out.println( "They match");
         else
             System.out.println( "They don't match");            
    }
    
    @Copyright("stream2stream Ltd")
    void    handleObject( final HackingAtTheTypes hatt )
    {
        hatt.aLight = HackingAtTheTypes.TrafficLights.RED;
        
        // remove comment to see what happens...
        //++hatt = new HackingAtTheTypes();
    }
}
