package s2s.javacourse;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Frame;
import   java.awt.MenuBar;
import   java.awt.Menu;
import   java.awt.Dimension;

public class MenuBarApp extends Frame
{
   public   MenuBarApp()
   {
      super( "MenuBar Example" );
   }

   public   Dimension   getPreferredSize()
   {
      return   new Dimension( 150, 50 );
   }

   private  void  initWindow()
   {
      MenuBar mb = new MenuBar();

      mb.add( new Menu( "File" ) );
      mb.add( new Menu( "Edit" ) );
      mb.add( new Menu( "Window" ) );
      mb.add( new Menu( "Help" ) );

      setMenuBar( mb );
   }

   public static void main(String[] args)
   {
      MenuBarApp menuBar1 = new MenuBarApp();
      menuBar1.initWindow();
      menuBar1.pack();
      menuBar1.setVisible( true );
   }
}
