package s2s.javacourse;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Frame;
import   java.awt.MenuBar;
import   java.awt.Menu;
import   java.awt.MenuItem;
import   java.awt.Dimension;

public class MenuBarWithItems extends Frame
{

   public MenuBarWithItems()
   {
      super( "Menu Bar With Menus" );
   }

   public   Dimension   getPreferredSize()
   {
      return   new Dimension( 200, 50 );
   }

   private  void  initWindow()
   {
      MenuBar mb = new MenuBar();
      Menu fileMenu = new Menu( "File" );
      Menu editMenu = new Menu( "Edit" );
      Menu windowMenu = new Menu( "Window" );
      Menu helpMenu = new Menu( "Help" );

      // add items to menus
      fileMenu.add( new MenuItem( "Open" ) );
      fileMenu.add( new MenuItem( "Close" ) );
      fileMenu.add( new MenuItem( "Exit" ) );

      mb.add( fileMenu );
      mb.add( editMenu );
      mb.add( windowMenu );
      mb.add( helpMenu );

      setMenuBar( mb );
   }

   public static void main(String[] args)
   {
      MenuBarWithItems menuBarWithItems1 = new MenuBarWithItems();
      menuBarWithItems1.initWindow();
      menuBarWithItems1.pack();
      menuBarWithItems1.setVisible( true );
   }
}
