package s2s.javacourse;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Button;
import   java.awt.Frame;
import   java.awt.Panel;
import   java.awt.Label;
import   java.awt.BorderLayout;
import   java.awt.event.ActionListener;
import   java.awt.event.ActionEvent;
import   java.awt.event.MouseAdapter;
import   java.awt.event.MouseEvent;
import   java.awt.Dimension;

public class StatusBarApp extends Frame
{
   private  Label statusText = new Label( "Status Bar Application..." );

   private  class StatusbarHandler extends   MouseAdapter
   {
      public   void  mouseEntered( MouseEvent e )
      {
         statusText.setText( e.getSource().toString() );
      }
   }

   public   void  initWindow()
   {
      setLayout( new BorderLayout() );
      Button b1 = new Button( "First Button" );
      Button b2 = new Button();
      b2.setLabel( "Second Button" );
      add( b1, BorderLayout.WEST ); add( b2, BorderLayout.EAST );
      // add status bar
      add( statusText, BorderLayout.SOUTH );

      // initialise status bar handler
      StatusbarHandler sbh = new StatusbarHandler();
      b1.addMouseListener( sbh );
      b2.addMouseListener( sbh );

      ActionListener exitBtnHandler = new ActionListener()
      {
         public   void  actionPerformed( ActionEvent e )
         {
            System.exit( 0 );
         }
      };
      b1.addActionListener( exitBtnHandler );
   }

   public StatusBarApp()
   {
      super( "Hey!  I gotta status bar" );
   }

   public   Dimension   getPreferredSize()
   {
      return   new Dimension( 400, 100 );
   }

   public static void main(String[] args)
   {
      StatusBarApp statusBarApp1 = new StatusBarApp();
      statusBarApp1.initWindow();
      statusBarApp1.pack();
      statusBarApp1.setVisible( true );
   }
}