package s2s.javacourse;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.event.ActionListener;
import   java.awt.event.ActionEvent;
import   java.net.URL;
import   java.net.MalformedURLException;

public class UseURLClass extends JCFrame
{
   public UseURLClass()
   {
      super( "Using the URL Class" );
   }

   private  class URLConstructor_1_Handler   implements  ActionListener
   {
      public   void  actionPerformed( ActionEvent ev )
      {
         try
         {
            URL url = new URL( urlPath.getText() );
            System.out.println( url.getProtocol() );
         }
         catch( MalformedURLException e )
         {
            System.out.println( e );
         }
      }
   };

   protected  void  initWindow()
   {
      super.initWindow();

      ActionListener URLConstructor_1Action = new URLConstructor_1_Handler();
      action1.addActionListener( URLConstructor_1Action );
   }

   public static void main(String[] args)
   {
      UseURLClass useURLClass1 = new UseURLClass();
      useURLClass1.initWindow();
      useURLClass1.pack();
      useURLClass1.setVisible( true );
   }
}
