package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.net.Socket;
import   java.net.UnknownHostException;
import   java.io.IOException;

public class portScanner
{
   public static void main(String[] args)
   {
      if( args.length < 3 )
      {
         System.err.println( "java portScanner <hostname> <lower-port-no> <upper-port-no>" );
         System.exit( 0 );
      }
      String hostName = args[0];
      int lowerPortNo = Integer.parseInt( args[1] );
      int upperPortNo = Integer.parseInt( args[2] );

      for( int i = lowerPortNo; i < upperPortNo; i++ )
      {
         System.out.println( "Looking on port: " + i + " of: " + hostName );
         try
         {
            Socket connection = new Socket( hostName, i );
            System.out.println( "Service running on port: " + i + " of: " + hostName );
         }
         catch( UnknownHostException e )
         {
            System.err.println( e );
         }
         catch( IOException e ){}
      }
   }
}