package s2s.javacourse;

/*
 * AllAboutClasses.java
 *
 * Created on 24 September 2003, 13:00
 */

/**
 *
 * @author  Administrator
 */
public class AllAboutClasses
{
    
    /** Creates a new instance of AllAboutClasses */
    public AllAboutClasses()
    {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        SavingsAccount sac = new SavingsAccount();
        CreditAccount ca = new CreditAccount();
        
        doIt( sac );
        doIt( ca );
        
        handleAccount( sac );
        handleAccount( ca );
    }
 
    static  public  void    handleAccount( SavingsAccount sac )
    {
        sac.laugh();
    }
    
    static  public  void    handleAccount( CreditAccount cac )
    {
        cac.Smile();
    }
    
    static  public  void    doIt( Account acc )
    {
        if( acc instanceof SavingsAccount )
        {
            SavingsAccount sac = (SavingsAccount) acc;
            sac.laugh();
        }
        else if( acc instanceof CreditAccount )
        {
            CreditAccount ca = (CreditAccount) acc;
            ca.Smile();
        }
    }
}

class   CreditAccount extends Account
{
    private double  taxRate = 0.035;
    
    public  void    debit( double amt )
    {
        if( queryBalance() - amt >= getODLimit() )
            debitAccount( amt );
    }
    
    public  double  getTaxRate()
    {
        return taxRate;
    }
    
    public  void    Smile()
    {
    }
}    

class   SavingsAccount extends  Account
{
    private int bonusPoints = 0;
    private double  taxRate = 0.07;
    
    public  void    laugh()
    {
    }
    
    public  void    debit( double amt )
    {
        if( queryBalance() - amt >= getODLimit() )
            debitAccount( amt );
    }
    
    public  void credit( double amt )
    {        
        bonusPoints++;
        
        super.credit( amt );
    }   
    
    public  double  getTaxRate()
    {
        return taxRate;
    }
}

abstract class Account
{
    private double balance = 0.0;
    private double  overDraftLimit = 0.0;
    
    abstract    public  double  getTaxRate();
    abstract    public  void    debit( double amt );
    
    protected void    debitAccount( double amt )
    {
        balance -= amt;
    }
    
    public  void    credit( double amt )
    {
        double taxToPay = getTaxRate() * amt;
        
        amt -= taxToPay;
        
        balance += amt;
    }
    
    public  double  queryBalance()
    {
        return balance;
    }
    
    public  void    setODLimit( double amt )
    {
        overDraftLimit = amt;
    }
    
    public  double  getODLimit()
    {
        return overDraftLimit;
    }
}