package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Button;
import   java.awt.Frame;
import   java.awt.Panel;
import   java.awt.Font;
import   java.awt.GridLayout;
import   java.awt.event.MouseListener;
import   java.awt.event.MouseEvent;
import   java.awt.event.ActionListener;
import   java.awt.event.ActionEvent;

public class AnAppWithBtnAndHandler extends Panel
                                    implements MouseListener, ActionListener
{
   private  void  initWindow()
   {
      Font f18 = new Font( "SansSerif", Font.PLAIN, 18 );
      Button b1 = new Button( "First Button" );
      b1.setFont( f18 );
      Button b2 = new Button();
      b2.setLabel( "Second Button" );
      b2.setEnabled( false );

      setLayout( new GridLayout( 3, 2 ) );
      add( b1 ); add( b2 );

      b1.addMouseListener( this );
      b1.addActionListener( this );
   }

   public void actionPerformed(ActionEvent e)
   {
      System.out.println( "Action Performed" );
      System.exit( 0 );
   }

   public void mouseClicked(MouseEvent e)
   {
      System.out.println( "Mouse Clicked" );
      //System.exit( 0 );
   }

   public void mousePressed(MouseEvent e)
   {
   }

   public void mouseReleased(MouseEvent e)
   {
   }

   public void mouseEntered(MouseEvent e)
   {
   }

   public void mouseExited(MouseEvent e)
   {
   }

   public static void main(String[] args)
   {
      AnAppWithBtnAndHandler anAppWithBtnAndHandler1 = new AnAppWithBtnAndHandler();
      anAppWithBtnAndHandler1.initWindow();
      Frame f = new Frame( "Buttons with Handler" );
      f.add( anAppWithBtnAndHandler1 );
      f.pack();
      f.setVisible( true );
   }
}