package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */



import   java.awt.Button;
import   java.awt.Frame;
import   java.awt.Panel;
import   java.awt.Font;
import   java.awt.GridLayout;
import   java.awt.event.MouseEvent;
import   java.awt.event.MouseListener;
import   java.awt.event.MouseAdapter;


public class AnAppWithButton  extends Panel
{
   private  void  initWindow()
   {
      Font f18 = new Font( "SansSerif", Font.PLAIN, 18 );
      Button b1 = new Button( "First Button" );
      b1.setFont( f18 );
      Button b2 = new Button();
      b2.setLabel( "Second Button" );
      b2.setEnabled( false );
      Button b3 = new Button( "Third Button" );
      Button b4 = new Button( "Fourth Button" );
      Button b5 = new Button( "Fifth Button" );

      //setLayout( new GridLayout( 3, 2 ) );
      add( b1 ); add( b2 );
      add( b3 ); add( b4 );
      add( b5 );

      MyMouseAdaptor l = new MyMouseAdaptor();
      b1.addMouseListener( l );
      b2.addMouseListener( l );
   }

   public static void main(String[] args)
   {
      AnAppWithButton anAppWithButton1 = new AnAppWithButton();
      anAppWithButton1.initWindow();
      Frame f = new Frame( "Buttons" );
      f.add( anAppWithButton1 );
      f.pack();
      f.setVisible( true );
   }
}

class MyMouseAdaptor extends  MouseAdapter
{
   public void mouseClicked(MouseEvent e)
   {
      System.out.println( "Method mouseClicked() not yet implemented." );
   }
   public void mouseEntered(MouseEvent e)
   {
      System.out.println( "Method mouseEntered() not yet implemented." );
   }
}