/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package s2s.javacourse;

/**
 *
 * @author Selvyn
 */
public class AnonymousLocalMember
{
    public  class ConcreteClass
    {
        public  void    foobar()
        {
            System.out.println( "ConcreteClass::foobar()");
        }
    }
    
    public  abstract class AbstractClass
    {
        public  abstract    void    foobar();
    }
    
    public  interface InnerInterface
    {
        public  void    foobar();
    }
    
    public  void    run_test_1()
    {
        ConcreteClass cc = new ConcreteClass()
        {
            @Override
            public  void    foobar()
            {
                System.out.println("Anonymous extends ConcreteClass");
            }
        };
        cc.foobar();
    }

    public  void    run_test_2()
    {
        AbstractClass ac = new AbstractClass()
        {
            @Override
            public  void    foobar()
            {
                System.out.println("Anonymous extends AbstractClass");
            }
        };
        ac.foobar();
    }

    public  void    run_test_3()
    {
        InnerInterface ac = new InnerInterface()
        {
            @Override
            public  void    foobar()
            {
                System.out.println("Anonymous implements InnerInterface");
            }
        };
        ac.foobar();
    }

    public  void    run_test_4()
    {
        new InnerInterface()
        {
            @Override
            public  void    foobar()
            {
                System.out.println("Anonymous implements InnerInterface");
            }
        }.foobar();
    }

    
    public  static  void    main( String args[] )
    {
        AnonymousLocalMember alm = new AnonymousLocalMember();
        
        
        
    }
}
