package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

public class CDFactory implements Cloneable
{

   public CDFactory()
   {
      System.out.println( "Created using newInstance()" );
   }

   CDFactory(String msg)
   {
      System.out.println(msg);
   }

   // remove the comments to see what happens...
	//public		static	void	CDFactory(){}
	//public		void	CDFactory(){}

   public static void main(String[] args)
        throws ClassNotFoundException,
               InstantiationException,
               IllegalAccessException,
               CloneNotSupportedException
   {
      // Create via the new operator
      CDFactory CDFactory1 = new CDFactory( "Created with the new operator" );
      
      // Get a reference to the Class instance for CDFactory, then
      // invoke newInstance() on it to create a new CDFactory object
      Class myCDFactoryClass = Class.forName("CDFactory");
      CDFactory factory = (CDFactory) myCDFactoryClass.newInstance();

      // Make an identical copy of the the second CDFactory object
      CDFactory factoryCopy = (CDFactory) factory.clone();
    }
}