package s2s.javacourse;

import java.io.IOException;

/*
 * ExceptionalBehaviour.java
 *
 * Created on 24 September 2003, 11:39
 */

/**
 *
 * @author  Administrator
 */
public class ExceptionalBehaviour
{
    static  public  void    fooBar() throws IOException
    {
        throw new IOException( "Whoops!" );
    }
    
    public  static  void    debit( double amt, double balance ) throws InsufficientFunds
    {
        if( balance - amt < 0 )
            throw new InsufficientFunds("12233", balance, amt);
    }
    
    public static void main(String[] args)
    {
        try
        {
            //fooBar();
            debit( 100, 50 );
            
            System.out.println( "Got here then!" );
        }
        catch( InsufficientFunds e )
        {
            System.out.println( e );
            System.out.println( "==============================" );
            e.printStackTrace();
        }
        finally
        {
            System.out.println("Saying hello just because I can");
        }
    }
}

class   InsufficientFunds extends Exception
{
    private String  accNo;
    private double  amt;
    private double  balance;

    public  InsufficientFunds( String acc, double bal, double amt)
    {
        this.accNo = acc;
        this.balance = bal;
        this.amt = amt;
    }

    @Override
    public String toString()
    {
        return "InsufficientFunds{" + "accNo=" + accNo + ", amt=" + amt + ", balance=" + balance + '}';
    }
    
    
}