package s2s.javacourse;

/*
 * SerialiseOut.java
 *
 * Created on 17 September 2003, 16:11
 */

/**
 *
 * @author  Administrator
 */

import java.io.*;

public class Serialisation
{

    /** Creates a new instance of SerialiseOut */
    public Serialisation()
    {
    }

    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        Serialisation ss = new Serialisation();
        
        ss.serializeObject();
        
        ss.deserializeObject();
    }
    
    void    serializeObject()
    {
        try
        {
            File f = new File( "data.dat" );
            FileOutputStream fos = new FileOutputStream( f );
            ObjectOutputStream oos = new ObjectOutputStream( fos );

            SerAccount acc = new SerAccount();
            acc.name = "Selvyn";
            acc.balance = (float)45.78;
            oos.writeObject( acc );

            oos.close();
        }
        catch( IOException e )
        {
            e.printStackTrace();
        }
    }

    void    deserializeObject()
    {
        try
        {
            File f = new File( "data.dat" );
            FileInputStream fis = new FileInputStream( f );
            ObjectInputStream ois = new ObjectInputStream( fis );

            SerAccount acc = (SerAccount)ois.readObject();

            ois.close();

            System.out.println( "Account " + acc.name + " balance: " + acc.balance );
        }
        catch( IOException e )
        {
            e.printStackTrace();
        }
        catch( ClassNotFoundException e )
        {
            e.printStackTrace();
        }
    }
}

class   SerAccount implements Serializable
{
    public  float balance = 89;
    public  String name = "Selvyn";
}