/*
 * ChatClient.java
 *
 * Created on 26 September 2003, 19:00
 */

/*
 *  This basic client handler will spurt out the date and time to whom ever
 *  connects to it.
 */

package stream2stream.chatComms.stage2;

import  java.lang.Runnable;
import  java.net.*;
import  java.io.*;
import  java.util.Date;

/**
 *
 * @author  Administrator
 */
public class ChatClientHandler implements Runnable
{
   private  Socket  itsConnection = null;
   private  boolean is_Active = false;

   ChatClientHandler( Socket connection )
   {
       itsConnection = connection;
   }
   
   public   void    setActive( boolean mode )
   {
       is_Active = mode;
   }
   
   public   boolean getActiveState()
   {
       return   is_Active;
   }
   
   public   void    run()
   {
        handleClientConnection();
        try
        {
            if (itsConnection != null) itsConnection.close();
        }
        catch (IOException e)
        {
            // this can be ignored.  It means the client closed before
            // we closed the socket...
        }
   }
   
   protected  void  handleClientConnection()
   {
        while (is_Active)
        {
            try
            {
               OutputStreamWriter ostream = new OutputStreamWriter(itsConnection.getOutputStream());
               Date dt = new Date();
               ostream.write( dt.toString() +"\r\n" );
               ostream.flush();
            }
            catch (IOException e) 
            {
                ;   // do nothing...
            }
         }  // end while
   } // end runServer
}
